%  slope1.m
% Matlab file for Part 1 of the Slope module

disp('********************************************')
disp('Part 1:  The Slope Field Concept')
disp('********************************************')
disp('  ')    

    format short

    disp('Enter your answers to questions in')
    disp('Part 1 as MATLAB comments for your')
    disp('diary file.') 
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')    
    disp('In order to draw the slope (direction),')
    disp('field for a differential equation,')
    disp('you must first define a MATLAB function')
    disp('giving the right hand side of the')
    disp('differential equation in an m-file')
    disp('called dfun.m.')
    disp(' ')
    disp('------------------------------------------')  
    disp('An example dfun.m file is included')
    disp('with the files provided with this')
    disp('module.  The original is set up for')
    disp('the differential equation')
    disp('   dP/dt = t - P ')
    disp('You can edit it for other DE''s.')
    disp(' ')
    disp('To view the dfun.m file from within MATLAB,')
    disp('enter ''''type dfun'''',')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('The following MATLAB function:')
    disp('    slpfield(tmin,tmax,Pmin,Pmax) ')
    disp('for plotting slope fields is contained')
    disp('in a m-file provided with this module.')
    disp(' ')
    disp('Copy the following commands and paste them as')
    disp('a group at a MATLAB prompt, then execute them.')
    disp(' ')
    disp('     slpfield(-6,6,-6,6) ')
    disp('     hold on')
    disp(' ')
    disp('Note: the ''hold on'' command saves the plot')
    disp('so we can add other curves to it.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('We add solution curves by solving the')
    disp('differential equation under the specified')
    disp('initial conditions and then plotting them')
    disp('on top of the direction field.')
    disp(' ')
    disp('For efficiency, we will use MATLAB''s')
    disp('build-in numerical DE solver:')
    disp('  [t,P]=ode23(function_name,[t0,tf],P0)')
    disp(' ')
    disp('Copy the following commands and paste them as')
    disp('a group at a MATLAB prompt, then execute them.')
    disp(' ')
    disp('  P0=1;')
    disp('  [t,P]=ode23(''dfun'',[0,6],P0); ')
    disp('  plot(t,P,''r'') ')
    disp('  axis([-6,6,-6,6]) ')
    disp('  [t,P]=ode23(''dfun'',[0,-6],P0); ')
    disp('  plot(t,P,''r'') ')
    disp(' ')
    disp('A red solution curve satisfying initial')
    disp('condition P(0)=1 computed in two pieces:')
    disp('from time=0 to time=6 and then from time=0')
    disp('to time=-6 should appear on top of the')
    disp('direction field.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Using the same procedure, you add two more')
    disp('solution curves to the plot corresponding')
    disp('to initial conditions P0=-1 and then P0=-3')
    disp('Make each a different color.')
    disp(' ')
    disp('------------------------------------------------------')
    disp('When your plots are done, to go on to part 2')
    disp('of this module, type: slope2')
    disp(' ')